Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm
Enum HMMFactory.HMMType

    java.lang.Object
      java.lang.Enum<HMMFactory.HMMType>
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.HMMFactory.HMMType

All Implemented Interfaces:
  Serializable, Comparable<HMMFactory.HMMType>

Enclosing class:
  HMMFactory

    public static enum HMMFactory.HMMType

extends Enum<HMMFactory.HMMType>

This enum defines some standard architecture of profile HMMs.

Author:
  Jan Grau, Jens Keilwagen
See Also:
  `HMMFactory.createProfileHMM(MaxHMMTrainingParameterSet, HMMType, boolean, int, int, AlphabetContainer, double, boolean, boolean, double[][])`

Enum Constant Summary
`PLAN7` The PLAN7 architecture without connections between delete and insert states
`PLAN8D` Architecture similar to PLAN7 but with connections from insert to delete states of the next layer
`PLAN8I` Architecture similar to PLAN7 but with connections from delete to insert states of the same layer
`PLAN9` The PLAN9 architecture, where each state has transitions to the insert state of the same layer and the delete and match states of the next layer

Method Summary
`static HMMFactory.HMMType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HMMFactory.HMMType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAN7

    public static final HMMFactory.HMMType PLAN7

  The PLAN7 architecture without connections between delete and insert states

### PLAN9

    public static final HMMFactory.HMMType PLAN9

  The PLAN9 architecture, where each state has transitions to the insert state of the same layer and the delete and match states of the next layer

### PLAN8I

    public static final HMMFactory.HMMType PLAN8I

  Architecture similar to PLAN7 but with connections from delete to insert states of the same layer

### PLAN8D

    public static final HMMFactory.HMMType PLAN8D

  Architecture similar to PLAN7 but with connections from insert to delete states of the next layer

Method Detail

### values

    public static HMMFactory.HMMType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HMMFactory.HMMType c : HMMFactory.HMMType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HMMFactory.HMMType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD